org.eclipse.microprofile.health.tck

## Class TCKBase

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.health.tck.TCKBase

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

Direct Known Subclasses:
  CDIProducedProceduresTest, ConfigTest, DelayedCheckTest, DelegateHealthSuccessfulTest, EnforceQualifierTest, HealthCheckResponseAttributesTest, HealthCheckResponseValidationTest, JsonSchemaValidationTest, MultipleLivenessFailedTest, MultipleProceduresFailedTest, MultipleReadinessFailedTest, NoProcedureSuccessfulTest, OnlySuccessfulProcedureTest, SingleLivenessFailedTest, SingleLivenessSuccessfulTest, SingleReadinessFailedTest, SingleReadinessSuccessfulTest

    public abstract class TCKBase
    extends org.jboss.arquillian.testng.Arquillian

Since:
  29/03/16
Author:
  Heiko Braun

### Nested Class Summary

Nested Classes
`class` `TCKBase.Response`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`TCKBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `beforeMethod(Method method)`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TCKBase

    public TCKBase()

### Method Detail

#### beforeMethod

    public void beforeMethod(Method method)